package com.njcn.csharmonic.offline.mincfg.vo;

public class DATA_HARMS //谐波视在
{
	private RTC_Timer time; //数据时标
	private Float[][] HARMS; //4-?谐波视在
	public DATA_HARMS(int num)
	{
		time = new RTC_Timer();
		HARMS = new Float[4][num];
	}
	public static int GetSize(int num)
	{
//C# TO JAVA CONVERTER TODO TASK: There is no Java equivalent to 'sizeof':
		return 6 * Short.SIZE + 4 * num *  Float.SIZE / Byte.SIZE;
	}
	public final boolean SetStructBuf(byte[] bArray, int nHaveRead, int num)
	{
		int nByteSize = bArray.length;
		if (nByteSize < GetSize(num))
		{
			return false;
		}

		int iStep = nHaveRead;
		time.SetStructBuf(bArray, iStep);
		iStep = iStep + RTC_Timer.GetSize();
		RefObject<Float[][]> tempRef_HARMS = new RefObject<Float[][]>(HARMS);
		iStep += Service.convertFloatArrayTwo(bArray, iStep, tempRef_HARMS);
		HARMS = tempRef_HARMS.argvalue;
		return true;
	}
}